import React from "react";

import NavBar from "../components/NavBar";

type OwnProps = {
  title: string;
  children?: JSX.Element | JSX.Element[];
};

const Layout = ({ title, children }: OwnProps) => {
  return (
    <>
      <NavBar />
      <div className="container pb-5">
        <h4 className="mb-3">{title}</h4>
        {children}
      </div>
    </>
  );
};

export default Layout;
