import { ACTIONS } from ".";
import { JobType } from "../types";

export const getJobs = (success?: () => void) => ({
  type: ACTIONS.GET_JOBS,
  success,
});

export const createJob = (payload: JobType, success?: () => void) => ({
  type: ACTIONS.CREATE_JOB,
  payload,
  success,
});

export const updateJob = (payload: JobType, success?: () => void) => ({
  type: ACTIONS.UPDATE_JOB,
  payload,
  success,
});

export const updateApplication = (
  payload: {
    candidateId: string;
    applicationId: string;
    update: any;
  },
  success?: () => void
) => ({
  type: ACTIONS.UPDATE_APPLICATION,
  payload,
  success,
});

export const setDialogBox = (payload: string | null) => ({
  type: ACTIONS.SET_DIALOG,
  payload,
});
