import React from "react";
import Modal from "./Modal";
import { useDispatch, useSelector } from "react-redux";
import { Reducers } from "../../common/types";
import { setDialogBox } from "../../common/actions/common";

const DialogBox = () => {
  const dispatch = useDispatch();
  const dialogString = useSelector(
    (state: Reducers) => state.common.dialogAlert
  );

  if (!dialogString) return null;

  const onPressCancel = () => {
    dispatch(setDialogBox(null));
  };

  const isOpen = dialogString !== null;

  return (
    <Modal isOpen={isOpen} onRequestClose={onPressCancel}>
      <p>{dialogString}</p>
      <div style={{ display: "block" }}>
        <button
          type="button"
          className="btn btn-primary btn-sm mt-3"
          style={{ float: "right" }}
          onClick={onPressCancel}
        >
          Got it
        </button>
      </div>
    </Modal>
  );
};

export default DialogBox;
